Autor Tópico: Nautilus + CoverFlow = Awesome ... estilo finder mac os x  (Lida 19160 vezes)

Offline Alyscom

  • Usuário Ubuntu
  • *
  • Mensagens: 774
  • Apenas me dê o feijão!
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #30 Online: 25 de MAR?O de 2010, 18:05 »
Alyscom,

Procure no synapitc por essas dependências que não foram encontradas

checking for ALL... configure: error: Package requirements (
   glib-2.0      >= 2.21.3
   gnome-desktop-2.0   >= 2.25.5
   gthread-2.0
   gio-unix-2.0
   gio-2.0
   pango         >= 1.1.2
   gtk+-2.0      >= 2.16.0
   libxml-2.0      >= 2.4.7
   gail         >= 0.16
   unique-1.0
   dbus-glib-1

Quando eu instalei aqui, também aconteceu algo parecido. eu instalei alguns pacotes (nem todos da lista acima) e consegui completar a compilação. Considere instalar os pacotes que cotenham o final "-dev".
Ok, se eu conseguir entrar no ubuntu de novo eu volto para dizer como foi, grato pela ajuda! ;)


[]'s


Alyscom
O álcool é o photoshop da vida real
 

Offline bred81

  • Usuário Ubuntu
  • *
  • Mensagens: 971
  • HAN?!
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #31 Online: 25 de MAR?O de 2010, 22:30 »
Instalei os debs, reiniciei e nada aconteceu
=/
O que o Mario foi fazer no pscicólogo?
- Ele estava passando por uma fase difícil...

Offline Alyscom

  • Usuário Ubuntu
  • *
  • Mensagens: 774
  • Apenas me dê o feijão!
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #32 Online: 22 de Abril de 2010, 21:42 »
deu esse erro aqui
Código: [Selecionar]
ubuntu@ubuntu-desktop:~/nautilus-elementary$ ./autogen.sh --prefix=/usr
/usr/bin/gnome-autogen.sh
checking for autoconf >= 2.53...
  testing autoconf2.50... not found.
  testing autoconf... found 2.64
checking for automake >= 1.7...
  testing automake-1.11... found 1.11
checking for libtool >= 1.5...
  testing libtoolize... found 2.2.6
checking for glib-gettext >= 2.2.0...
  testing glib-gettextize... found 2.22.3
checking for intltool >= 0.30...
  testing intltoolize... found 0.41.0
checking for pkg-config >= 0.14.0...
  testing pkg-config... found 0.22
checking for gtk-doc >= 1.0...
  testing gtkdocize... found 1.11
Checking for required M4 macros...
Checking for forbidden M4 macros...
Processing ./configure.in
Running libtoolize...
libtoolize: putting auxiliary files in `.'.
libtoolize: copying file `./ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
libtoolize: copying file `m4/libtool.m4'
libtoolize: copying file `m4/ltoptions.m4'
libtoolize: copying file `m4/ltsugar.m4'
libtoolize: copying file `m4/ltversion.m4'
libtoolize: copying file `m4/lt~obsolete.m4'
Running glib-gettextize... Ignore non-fatal messages.
Copying file mkinstalldirs
Copying file po/Makefile.in.in

Please add the files
  codeset.m4 gettext.m4 glibc21.m4 iconv.m4 isc-posix.m4 lcmessage.m4
  progtest.m4
from the /aclocal directory to your autoconf macro directory
or directly to your aclocal.m4 file.
You will also need config.guess and config.sub, which you can get from
ftp://ftp.gnu.org/pub/gnu/config/.

Running intltoolize...
Running gtkdocize...
Running aclocal-1.11...
Running autoconf...
Running autoheader...
autoheader: WARNING: Using auxiliary files such as `acconfig.h', `config.h.bot'
autoheader: WARNING: and `config.h.top', to define templates for `config.h.in'
autoheader: WARNING: is deprecated and discouraged.
autoheader:
autoheader: WARNING: Using the third argument of `AC_DEFINE' and
autoheader: WARNING: `AC_DEFINE_UNQUOTED' allows one to define a template without
autoheader: WARNING: `acconfig.h':
autoheader:
autoheader: WARNING:   AC_DEFINE([NEED_FUNC_MAIN], 1,
autoheader: [Define if a function `main' is needed.])
autoheader:
autoheader: WARNING: More sophisticated templates can also be produced, see the
autoheader: WARNING: documentation.
Running automake-1.11...
Running ./configure --enable-maintainer-mode --prefix=/usr ...
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking how to create a ustar tar archive... gnutar
checking whether to enable maintainer-specific portions of Makefiles... yes
checking for style of include used by make... GNU
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking whether byte ordering is bigendian... no
checking for an ANSI C-conforming const... yes
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking dependency style of gcc... (cached) gcc3
checking how to run the C preprocessor... gcc -E
checking whether ln -s works... yes
checking whether make sets $(MAKE)... (cached) yes
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for a sed that does not truncate output... /bin/sed
checking for fgrep... /bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking the maximum length of command line arguments... 1572864
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... yes
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for ar... ar
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for ALL... configure: error: Package requirements (
glib-2.0 >= 2.21.3
gnome-desktop-2.0 >= 2.25.5
gthread-2.0
gio-unix-2.0
gio-2.0
pango >= 1.1.2
gtk+-2.0 >= 2.16.0
libxml-2.0 >= 2.4.7
gail >= 0.16
unique-1.0
dbus-glib-1
) were not met:

No package 'gnome-desktop-2.0' found
No package 'gail' found
No package 'unique-1.0' found
No package 'dbus-glib-1' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables ALL_CFLAGS
and ALL_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

« Última modificação: 22 de Abril de 2010, 21:44 por Alyscom »
O álcool é o photoshop da vida real
 

Offline bred81

  • Usuário Ubuntu
  • *
  • Mensagens: 971
  • HAN?!
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #33 Online: 22 de Abril de 2010, 23:57 »
Frase típica de programadorzinho de aplicação corporativa que acha que mexer com Java, Dephi, banco de dados e afins é programar de verdade.
Não quero botar lenha na fogueira, mas já pondo, o que é "programar de verdade"?
Existe "programação de mentira"?
Ou é porque é "fácil" não deve ser levado em conta?
Porque, então, se é pra ser difícil, vai fazer em assembly...
O que o Mario foi fazer no pscicólogo?
- Ele estava passando por uma fase difícil...

Offline vampire_thunder

  • Usuário Ubuntu
  • *
  • Mensagens: 735
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #34 Online: 03 de Maio de 2010, 22:33 »
Não consegui instalar no Lucid. Tive problemas ao baixar o Coover flow. Parece que agora é pago. É isso mesmo?

Offline niquelnausea

  • Usuário Ubuntu
  • *
  • Mensagens: 967
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #35 Online: 04 de Maio de 2010, 19:56 »
Muito legal, gostaria de saber se existem plugins para o nautilus (ou ubuntu) para deixar o sistema mais bonito (e até mesmo mais funcional)?

Offline Nossile

  • Usuário Ubuntu
  • *
  • Mensagens: 807
  • Loading...
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #36 Online: 04 de Maio de 2010, 20:38 »
Saiu o PPA para o Lucid, ficou mais simples instalar:

Citar
sudo add-apt-repository ppa:gloobus-dev/gloobus-preview
sudo add-apt-repository ppa:am-monkeyd/nautilus-elementary-ppa
sudo apt-get update && sudo apt-get install gloobus-preview covergloobus && sudo apt-get upgrade

OBS.
O PPA realmente saiu, porém somente o gloobus-preview foi adicionada para o Lucid.

« Última modificação: 04 de Maio de 2010, 20:59 por Nossile »
sudo aptitude remove terno-e-gravata && sudo aptitude install bermuda chinelo -y

Offline niquelnausea

  • Usuário Ubuntu
  • *
  • Mensagens: 967
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #37 Online: 04 de Maio de 2010, 21:38 »
Saiu o PPA para o Lucid, ficou mais simples instalar:

Citar
sudo add-apt-repository ppa:gloobus-dev/gloobus-preview
sudo add-apt-repository ppa:am-monkeyd/nautilus-elementary-ppa
sudo apt-get update && sudo apt-get install gloobus-preview covergloobus && sudo apt-get upgrade

OBS.
O PPA realmente saiu, porém somente o gloobus-preview foi adicionada para o Lucid.



Para quem ja testou no lucid, como esta o desempenho e a estabilidade?

Offline stephanius

  • Usuário Ubuntu
  • *
  • Mensagens: 16
  • Atualize-se
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #38 Online: 06 de Maio de 2010, 14:10 »
O gloobus-preview agora funciona apenas selecionando o arquivo e apertando a barra de espaço, assim como o quicklook encontrado no finder. O covergloobus não funciona usando o songbirg, mas com o rhythmbox está funcionando perfeitamente. Infelizmente ainda não há gloobus-flow disponível para o Lucid, nem mesmo a versão sem integração com o nautilus.

Offline eduranti

  • Usuário Ubuntu
  • *
  • Mensagens: 32
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #39 Online: 06 de Maio de 2010, 14:58 »
Esperando também pela compatibilidade com o nautilus!
Eduardo Augusto Duranti

Offline Nossile

  • Usuário Ubuntu
  • *
  • Mensagens: 807
  • Loading...
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #40 Online: 07 de Maio de 2010, 20:42 »
Saiu o PPA para o Lucid, ficou mais simples instalar:

Citar
sudo add-apt-repository ppa:gloobus-dev/gloobus-preview
sudo add-apt-repository ppa:am-monkeyd/nautilus-elementary-ppa
sudo apt-get update && sudo apt-get install gloobus-preview covergloobus && sudo apt-get upgrade

OBS.
O PPA realmente saiu, porém somente o gloobus-preview foi adicionada para o Lucid.



Covergloobus funcionando no Lucid agora!
sudo aptitude remove terno-e-gravata && sudo aptitude install bermuda chinelo -y

Offline vampire_thunder

  • Usuário Ubuntu
  • *
  • Mensagens: 735
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #41 Online: 27 de Maio de 2010, 11:34 »
O gloobus-preview agora funciona apenas selecionando o arquivo e apertando a barra de espaço, assim como o quicklook encontrado no finder. O covergloobus não funciona usando o songbirg, mas com o rhythmbox está funcionando perfeitamente. Infelizmente ainda não há gloobus-flow disponível para o Lucid, nem mesmo a versão sem integração com o nautilus.

Pois é. Entrei aqui para perguntar se agora esse negócio é pago:
https://launchpad.net/gloobus-flow
http://gloobus.wordpress.com/2010/02/04/gloobus-flow/

Offline malvescardoso

  • Usuário Ubuntu
  • *
  • Mensagens: 213
  • Linux... Para quem não tem preguiça de aprender!
    • Ver perfil
:: Acima de tudo, Deus! ::

Offline ubunewbie

  • Usuário Ubuntu
  • *
  • Mensagens: 45
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #43 Online: 23 de Junho de 2010, 22:33 »
Saiu o PPA para o Lucid, ficou mais simples instalar:

Citar
sudo add-apt-repository ppa:gloobus-dev/gloobus-preview
sudo add-apt-repository ppa:am-monkeyd/nautilus-elementary-ppa
sudo apt-get update && sudo apt-get install gloobus-preview covergloobus && sudo apt-get upgrade

OBS.
O PPA realmente saiu, porém somente o gloobus-preview foi adicionada para o Lucid.


Tentei instalar mas ocorreu isso:
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv 20CE8F7ABBECC1338A8F53F11FFD34C9EB13C954
gpg: requisitando chave EB13C954 de servidor hkp - keyserver.ubuntu.com
gpg: keyserver timed out
gpg: Recebimento de informação do keyserver falhou: erro no servidor de chaves

Alguém sabe como instalar o Gloobus-Flow para o Lucid Lynx?

Offline michelwilhelm

  • Usuário Ubuntu
  • *
  • Mensagens: 0
    • Ver perfil
Re: Nautilus + CoverFlow = Awesome ... estilo finder mac os x
« Resposta #44 Online: 18 de Outubro de 2010, 17:48 »
A um tempo atrás eu havia instalado o Nautilus Elementary por causa do design dele, e hoje fui apertar F4 sem querer, pois ia no F5 para atualizar a exibição do diretório, e apareceu o "CoverFlow", UAU... foi a descoberta do dia... hehe

Segue o SS :)

Maverick! http://ow.ly/i/4Gvw